<a id="types-aiobotocore-lexv2-models"></a>

# types-aiobotocore-lexv2-models

[![PyPI - types-aiobotocore-lexv2-models](https://img.shields.io/pypi/v/types-aiobotocore-lexv2-models.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lexv2-models)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-lexv2-models.svg?color=blue)](https://pypi.org/project/types-aiobotocore-lexv2-models)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-lexv2-models?color=blue)](https://pypistats.org/packages/types-aiobotocore-lexv2-models)

![boto3.typed](https://github.com/youtype/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore.LexModelsV2 2.3.1](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/lexv2-models.html#LexModelsV2)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.5.14](https://github.com/youtype/mypy_boto3_builder).

More information can be found on
[types-aiobotocore](https://pypi.org/project/types-aiobotocore/) page and in
[types-aiobotocore-lexv2-models docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_models/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/youtype/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-lexv2-models](#types-aiobotocore-lexv2-models)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Waiters annotations](#waiters-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `LexModelsV2`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `LexModelsV2` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[lexv2-models]'


# Lite version does not provide session.client/resource overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[lexv2-models]'


# standalone installation
python -m pip install types-aiobotocore-lexv2-models
```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
python -m pip uninstall -y types-aiobotocore-lexv2-models
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[lexv2-models]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lexv2-models]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[lexv2-models]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[lexv2-models]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

Use `types-aiobotocore` package instead for implicit type discovery.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[lexv2-models]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore[lexv2-models]` with services you use in your
  environment:

```bash
python -m pip install 'types-aiobotocore[lexv2-models]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[lexv2-models]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lexv2-models]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore[lexv2-models]` in your environment:

```bash
python -m pip install 'types-aiobotocore[lexv2-models]'
```

Optionally, you can install `types-aiobotocore` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LexModelsV2Client` provides annotations for
`session.create_client("lexv2-models")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_lexv2_models import LexModelsV2Client

session = get_session()
async with session.create_client("lexv2-models") as client:
    client: LexModelsV2Client
    # now client usage is checked by mypy and IDE should provide code completion
```

<a id="waiters-annotations"></a>

### Waiters annotations

`types_aiobotocore_lexv2_models.waiter` module contains type annotations for
all waiters.

````python
from aiobotocore.session import get_session

from types_aiobotocore_lexv2_models.client import LexModelsV2Client
from types_aiobotocore_lexv2_models.waiter import (
    BotAliasAvailableWaiter,
    BotAvailableWaiter,
    BotExportCompletedWaiter,
    BotImportCompletedWaiter,
    BotLocaleBuiltWaiter,
    BotLocaleCreatedWaiter,
    BotLocaleExpressTestingAvailableWaiter,
    BotVersionAvailableWaiter,
)

session = get_session()
async with session.create_client("lexv2-models") as client:
    client: LexModelsV2Client

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        bot_alias_available_waiter: BotAliasAvailableWaiter = client.get_waiter("bot_alias_available")
        bot_available_waiter: BotAvailableWaiter = client.get_waiter("bot_available")
        bot_export_completed_waiter: BotExportCompletedWaiter = client.get_waiter("bot_export_completed")
        bot_import_completed_waiter: BotImportCompletedWaiter = client.get_waiter("bot_import_completed")
        bot_locale_built_waiter: BotLocaleBuiltWaiter = client.get_waiter("bot_locale_built")
        bot_locale_created_waiter: BotLocaleCreatedWaiter = client.get_waiter("bot_locale_created")
        bot_locale_express_testing_available_waiter: BotLocaleExpressTestingAvailableWaiter = client.get_waiter("bot_locale_express_testing_available")
        bot_version_available_waiter: BotVersionAvailableWaiter = client.get_waiter("bot_version_available")
    ```





### Literals

`types_aiobotocore_lexv2_models.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_lexv2_models.literals import (
    AggregatedUtterancesFilterNameType,
    AggregatedUtterancesFilterOperatorType,
    AggregatedUtterancesSortAttributeType,
    AssociatedTranscriptFilterNameType,
    AudioRecognitionStrategyType,
    BotAliasAvailableWaiterName,
    BotAliasStatusType,
    BotAvailableWaiterName,
    BotExportCompletedWaiterName,
    BotFilterNameType,
    BotFilterOperatorType,
    BotImportCompletedWaiterName,
    BotLocaleBuiltWaiterName,
    BotLocaleCreatedWaiterName,
    BotLocaleExpressTestingAvailableWaiterName,
    BotLocaleFilterNameType,
    BotLocaleFilterOperatorType,
    BotLocaleSortAttributeType,
    BotLocaleStatusType,
    BotRecommendationStatusType,
    BotSortAttributeType,
    BotStatusType,
    BotVersionAvailableWaiterName,
    BotVersionSortAttributeType,
    BuiltInIntentSortAttributeType,
    BuiltInSlotTypeSortAttributeType,
    CustomVocabularyStatusType,
    EffectType,
    ExportFilterNameType,
    ExportFilterOperatorType,
    ExportSortAttributeType,
    ExportStatusType,
    ImportExportFileFormatType,
    ImportFilterNameType,
    ImportFilterOperatorType,
    ImportResourceTypeType,
    ImportSortAttributeType,
    ImportStatusType,
    IntentFilterNameType,
    IntentFilterOperatorType,
    IntentSortAttributeType,
    MergeStrategyType,
    ObfuscationSettingTypeType,
    SearchOrderType,
    SlotConstraintType,
    SlotFilterNameType,
    SlotFilterOperatorType,
    SlotSortAttributeType,
    SlotTypeCategoryType,
    SlotTypeFilterNameType,
    SlotTypeFilterOperatorType,
    SlotTypeSortAttributeType,
    SlotValueResolutionStrategyType,
    SortOrderType,
    TimeDimensionType,
    TranscriptFormatType,
    VoiceEngineType,
    LexModelsV2ServiceName,
    ServiceName,
    ResourceServiceName,
    WaiterName,
    RegionName,
)

def check_value(value: AggregatedUtterancesFilterNameType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_lexv2_models.type_defs` module contains structures and
shapes assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_lexv2_models.type_defs import (
    AdvancedRecognitionSettingTypeDef,
    AggregatedUtterancesFilterTypeDef,
    AggregatedUtterancesSortByTypeDef,
    AggregatedUtterancesSummaryTypeDef,
    AssociatedTranscriptFilterTypeDef,
    AssociatedTranscriptTypeDef,
    AudioLogDestinationTypeDef,
    AudioLogSettingTypeDef,
    BotAliasHistoryEventTypeDef,
    BotAliasLocaleSettingsTypeDef,
    BotAliasSummaryTypeDef,
    BotExportSpecificationTypeDef,
    BotFilterTypeDef,
    BotImportSpecificationTypeDef,
    BotLocaleExportSpecificationTypeDef,
    BotLocaleFilterTypeDef,
    BotLocaleHistoryEventTypeDef,
    BotLocaleImportSpecificationTypeDef,
    BotLocaleSortByTypeDef,
    BotLocaleSummaryTypeDef,
    BotRecommendationResultStatisticsTypeDef,
    BotRecommendationResultsTypeDef,
    BotRecommendationSummaryTypeDef,
    BotSortByTypeDef,
    BotSummaryTypeDef,
    BotVersionLocaleDetailsTypeDef,
    BotVersionSortByTypeDef,
    BotVersionSummaryTypeDef,
    BuildBotLocaleRequestRequestTypeDef,
    BuildBotLocaleResponseTypeDef,
    BuiltInIntentSortByTypeDef,
    BuiltInIntentSummaryTypeDef,
    BuiltInSlotTypeSortByTypeDef,
    BuiltInSlotTypeSummaryTypeDef,
    ButtonTypeDef,
    CloudWatchLogGroupLogDestinationTypeDef,
    CodeHookSpecificationTypeDef,
    ConversationLogSettingsTypeDef,
    CreateBotAliasRequestRequestTypeDef,
    CreateBotAliasResponseTypeDef,
    CreateBotLocaleRequestRequestTypeDef,
    CreateBotLocaleResponseTypeDef,
    CreateBotRequestRequestTypeDef,
    CreateBotResponseTypeDef,
    CreateBotVersionRequestRequestTypeDef,
    CreateBotVersionResponseTypeDef,
    CreateExportRequestRequestTypeDef,
    CreateExportResponseTypeDef,
    CreateIntentRequestRequestTypeDef,
    CreateIntentResponseTypeDef,
    CreateResourcePolicyRequestRequestTypeDef,
    CreateResourcePolicyResponseTypeDef,
    CreateResourcePolicyStatementRequestRequestTypeDef,
    CreateResourcePolicyStatementResponseTypeDef,
    CreateSlotRequestRequestTypeDef,
    CreateSlotResponseTypeDef,
    CreateSlotTypeRequestRequestTypeDef,
    CreateSlotTypeResponseTypeDef,
    CreateUploadUrlResponseTypeDef,
    CustomPayloadTypeDef,
    CustomVocabularyExportSpecificationTypeDef,
    CustomVocabularyImportSpecificationTypeDef,
    DataPrivacyTypeDef,
    DateRangeFilterTypeDef,
    DeleteBotAliasRequestRequestTypeDef,
    DeleteBotAliasResponseTypeDef,
    DeleteBotLocaleRequestRequestTypeDef,
    DeleteBotLocaleResponseTypeDef,
    DeleteBotRequestRequestTypeDef,
    DeleteBotResponseTypeDef,
    DeleteBotVersionRequestRequestTypeDef,
    DeleteBotVersionResponseTypeDef,
    DeleteCustomVocabularyRequestRequestTypeDef,
    DeleteCustomVocabularyResponseTypeDef,
    DeleteExportRequestRequestTypeDef,
    DeleteExportResponseTypeDef,
    DeleteImportRequestRequestTypeDef,
    DeleteImportResponseTypeDef,
    DeleteIntentRequestRequestTypeDef,
    DeleteResourcePolicyRequestRequestTypeDef,
    DeleteResourcePolicyResponseTypeDef,
    DeleteResourcePolicyStatementRequestRequestTypeDef,
    DeleteResourcePolicyStatementResponseTypeDef,
    DeleteSlotRequestRequestTypeDef,
    DeleteSlotTypeRequestRequestTypeDef,
    DeleteUtterancesRequestRequestTypeDef,
    DescribeBotAliasRequestBotAliasAvailableWaitTypeDef,
    DescribeBotAliasRequestRequestTypeDef,
    DescribeBotAliasResponseTypeDef,
    DescribeBotLocaleRequestBotLocaleBuiltWaitTypeDef,
    DescribeBotLocaleRequestBotLocaleCreatedWaitTypeDef,
    DescribeBotLocaleRequestBotLocaleExpressTestingAvailableWaitTypeDef,
    DescribeBotLocaleRequestRequestTypeDef,
    DescribeBotLocaleResponseTypeDef,
    DescribeBotRecommendationRequestRequestTypeDef,
    DescribeBotRecommendationResponseTypeDef,
    DescribeBotRequestBotAvailableWaitTypeDef,
    DescribeBotRequestRequestTypeDef,
    DescribeBotResponseTypeDef,
    DescribeBotVersionRequestBotVersionAvailableWaitTypeDef,
    DescribeBotVersionRequestRequestTypeDef,
    DescribeBotVersionResponseTypeDef,
    DescribeCustomVocabularyMetadataRequestRequestTypeDef,
    DescribeCustomVocabularyMetadataResponseTypeDef,
    DescribeExportRequestBotExportCompletedWaitTypeDef,
    DescribeExportRequestRequestTypeDef,
    DescribeExportResponseTypeDef,
    DescribeImportRequestBotImportCompletedWaitTypeDef,
    DescribeImportRequestRequestTypeDef,
    DescribeImportResponseTypeDef,
    DescribeIntentRequestRequestTypeDef,
    DescribeIntentResponseTypeDef,
    DescribeResourcePolicyRequestRequestTypeDef,
    DescribeResourcePolicyResponseTypeDef,
    DescribeSlotRequestRequestTypeDef,
    DescribeSlotResponseTypeDef,
    DescribeSlotTypeRequestRequestTypeDef,
    DescribeSlotTypeResponseTypeDef,
    DialogCodeHookSettingsTypeDef,
    EncryptionSettingTypeDef,
    ExportFilterTypeDef,
    ExportResourceSpecificationTypeDef,
    ExportSortByTypeDef,
    ExportSummaryTypeDef,
    ExternalSourceSettingTypeDef,
    FulfillmentCodeHookSettingsTypeDef,
    FulfillmentStartResponseSpecificationTypeDef,
    FulfillmentUpdateResponseSpecificationTypeDef,
    FulfillmentUpdatesSpecificationTypeDef,
    GrammarSlotTypeSettingTypeDef,
    GrammarSlotTypeSourceTypeDef,
    ImageResponseCardTypeDef,
    ImportFilterTypeDef,
    ImportResourceSpecificationTypeDef,
    ImportSortByTypeDef,
    ImportSummaryTypeDef,
    InputContextTypeDef,
    IntentClosingSettingTypeDef,
    IntentConfirmationSettingTypeDef,
    IntentFilterTypeDef,
    IntentSortByTypeDef,
    IntentStatisticsTypeDef,
    IntentSummaryTypeDef,
    KendraConfigurationTypeDef,
    LambdaCodeHookTypeDef,
    LexTranscriptFilterTypeDef,
    ListAggregatedUtterancesRequestRequestTypeDef,
    ListAggregatedUtterancesResponseTypeDef,
    ListBotAliasesRequestRequestTypeDef,
    ListBotAliasesResponseTypeDef,
    ListBotLocalesRequestRequestTypeDef,
    ListBotLocalesResponseTypeDef,
    ListBotRecommendationsRequestRequestTypeDef,
    ListBotRecommendationsResponseTypeDef,
    ListBotVersionsRequestRequestTypeDef,
    ListBotVersionsResponseTypeDef,
    ListBotsRequestRequestTypeDef,
    ListBotsResponseTypeDef,
    ListBuiltInIntentsRequestRequestTypeDef,
    ListBuiltInIntentsResponseTypeDef,
    ListBuiltInSlotTypesRequestRequestTypeDef,
    ListBuiltInSlotTypesResponseTypeDef,
    ListExportsRequestRequestTypeDef,
    ListExportsResponseTypeDef,
    ListImportsRequestRequestTypeDef,
    ListImportsResponseTypeDef,
    ListIntentsRequestRequestTypeDef,
    ListIntentsResponseTypeDef,
    ListRecommendedIntentsRequestRequestTypeDef,
    ListRecommendedIntentsResponseTypeDef,
    ListSlotTypesRequestRequestTypeDef,
    ListSlotTypesResponseTypeDef,
    ListSlotsRequestRequestTypeDef,
    ListSlotsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    MessageGroupTypeDef,
    MessageTypeDef,
    MultipleValuesSettingTypeDef,
    ObfuscationSettingTypeDef,
    OutputContextTypeDef,
    PathFormatTypeDef,
    PlainTextMessageTypeDef,
    PostFulfillmentStatusSpecificationTypeDef,
    PrincipalTypeDef,
    PromptSpecificationTypeDef,
    RecommendedIntentSummaryTypeDef,
    RelativeAggregationDurationTypeDef,
    ResponseMetadataTypeDef,
    ResponseSpecificationTypeDef,
    S3BucketLogDestinationTypeDef,
    S3BucketTranscriptSourceTypeDef,
    SSMLMessageTypeDef,
    SampleUtteranceTypeDef,
    SampleValueTypeDef,
    SearchAssociatedTranscriptsRequestRequestTypeDef,
    SearchAssociatedTranscriptsResponseTypeDef,
    SentimentAnalysisSettingsTypeDef,
    SlotDefaultValueSpecificationTypeDef,
    SlotDefaultValueTypeDef,
    SlotFilterTypeDef,
    SlotPriorityTypeDef,
    SlotSortByTypeDef,
    SlotSummaryTypeDef,
    SlotTypeFilterTypeDef,
    SlotTypeSortByTypeDef,
    SlotTypeStatisticsTypeDef,
    SlotTypeSummaryTypeDef,
    SlotTypeValueTypeDef,
    SlotValueElicitationSettingTypeDef,
    SlotValueRegexFilterTypeDef,
    SlotValueSelectionSettingTypeDef,
    StartBotRecommendationRequestRequestTypeDef,
    StartBotRecommendationResponseTypeDef,
    StartImportRequestRequestTypeDef,
    StartImportResponseTypeDef,
    StillWaitingResponseSpecificationTypeDef,
    TagResourceRequestRequestTypeDef,
    TextLogDestinationTypeDef,
    TextLogSettingTypeDef,
    TranscriptFilterTypeDef,
    TranscriptSourceSettingTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateBotAliasRequestRequestTypeDef,
    UpdateBotAliasResponseTypeDef,
    UpdateBotLocaleRequestRequestTypeDef,
    UpdateBotLocaleResponseTypeDef,
    UpdateBotRecommendationRequestRequestTypeDef,
    UpdateBotRecommendationResponseTypeDef,
    UpdateBotRequestRequestTypeDef,
    UpdateBotResponseTypeDef,
    UpdateExportRequestRequestTypeDef,
    UpdateExportResponseTypeDef,
    UpdateIntentRequestRequestTypeDef,
    UpdateIntentResponseTypeDef,
    UpdateResourcePolicyRequestRequestTypeDef,
    UpdateResourcePolicyResponseTypeDef,
    UpdateSlotRequestRequestTypeDef,
    UpdateSlotResponseTypeDef,
    UpdateSlotTypeRequestRequestTypeDef,
    UpdateSlotTypeResponseTypeDef,
    UtteranceAggregationDurationTypeDef,
    VoiceSettingsTypeDef,
    WaitAndContinueSpecificationTypeDef,
    WaiterConfigTypeDef,
)

def get_structure() -> AdvancedRecognitionSettingTypeDef:
    return {
      ...
    }
```

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers a drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from the documentation (blame `botocore` docs if types
  are incorrect).
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

## What's new

### Implemented features

- Fully type annotated `boto3`, `botocore` and `aiobotocore` libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.session` calls
- Auto discovery of types for `session.client` and `session.session` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/youtype/mypy_boto3_builder/releases).

## Versioning

`types-aiobotocore-lexv2-models` version is the same as related `aiobotocore`
version and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/)
format.

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_lexv2_models/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder/issues/)
repository.
